Emitted when a RealTimeModel is subscribed to for offline availability and a new version has been downloaded.

experimental

### Hierarchy

- OfflineModelUpdatedEvent

### Implements

- IConvergenceEvent

## Index

### Properties

- id
- name
- permissions
- version
- NAME

## Properties

### id

id: string

The id of the model that was updated.

### name

name: string = OfflineModelUpdatedEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### permissions

permissions: ModelPermissions | null

### version

version: number | null

### StaticNAME

NAME: "offline_model_updated" = "offline_model_updated"